ArchLinux- ൽ ബ്രാക്കറ്റുകൾ സ്വമേധയാ ഇൻസ്റ്റാൾ ചെയ്യുക

ഞങ്ങൾ ഇതിനകം കണ്ടു en ഫ്രം ലിനക്സ് എന്നതിനായുള്ള പുതിയ ഓപ്പൺ‌സോഴ്‌സ് എഡിറ്റർ എച്ച്ടിഎംഎൽ, സി.എസ്.എസ് y ജാവാസ്ക്രിപ്റ്റ് ബന്ധിക്കുന്നു അഡോബി ഒരു എം‌ഐ‌ടി ലൈസൻസിന് കീഴിൽ വിതരണം ചെയ്ത് എല്ലാവർക്കും ലഭ്യമാക്കി. അതെ അവിശ്വസനീയമാംവിധം അഡോബി ഒരു ഓപ്പൺ സോഴ്‌സ് ഉൽപ്പന്നം സമാരംഭിച്ചു.

അഡോബി ഡിസൈൻ, മൾട്ടിമീഡിയ, വെബ് ടെക്നോളജി എന്നിവയുമായി ബന്ധപ്പെട്ട വളരെ നല്ല ഉൽ‌പ്പന്നങ്ങൾ‌ നൽ‌കുന്ന ഒരു കമ്പനിയാണ്, മാത്രമല്ല, ദീർഘകാലത്തേക്ക്‌ അവ ഉപയോഗിക്കാൻ‌ അവരെല്ലാവർക്കും ലൈസൻ‌സ് നൽകേണ്ടിവന്നു. ഫോട്ടോഷോപ്പ്, ഫ്ലാഷ്, ഡ്രീംവീവർ, അതിന്റെ ഒരു ഉദാഹരണം മാത്രമാണ്.

ആവരണചിഹ്നം അത് ആദ്യപടിയല്ല അഡോബി ഡാ ഓപ്പൺ സോഴ്‌സ്, ഇതിനകം തന്നെ ഫ്രം ലിനക്സ് ഞങ്ങൾ കണ്ടു ഒരു വർഷം മുമ്പ് അവർ ഫോണ്ടുകളുടെ ഒരു കുടുംബം പ്രസിദ്ധീകരിച്ചു സോഴ്സ് പ്രോ (ഞങ്ങളുടെ തീം ഉപയോഗിച്ച അതേ: P) ന് കീഴിൽ SIL ഓപ്പൺ ഫോണ്ട് ലൈസൻസ് 1.1.

ഞങ്ങളും കണ്ടു ഇത് എങ്ങനെ ഇൻസ്റ്റാൾ ചെയ്യാം en ഉബുണ്ടു 13.04 സന്തോഷവാർത്ത, അത് സംഭരണികളിലും ഉണ്ട് AUR de ആർച്ച്ലിനക്സ്, അതിനാൽ ടെർമിനലിൽ ഇടാൻ ഇത് മതിയാകും:

$ yaourt -S brackets-git

പക്ഷെ ഞാൻ ഉപയോഗിക്കുന്നില്ലെന്ന് മാറുന്നു യോർട്ട്, കൂടാതെ ഇൻസ്റ്റലേഷൻ പാക്കേജ് സൃഷ്ടിക്കാൻ ശ്രമിക്കുമ്പോൾ മേക്കപ്പ്കെജി, എനിക്ക് AUR- ൽ ഉള്ള ചില ഡിപൻഡൻസികൾ ആവശ്യമാണ്. ചുരുക്കത്തിൽ, വളരെയധികം ജോലി.

Ya ഞാൻ താഴ്ത്തിയിരുന്നു ഫോർമാറ്റിലുള്ള ബൈനറി .deb ഇത് ഇൻസ്റ്റാൾ ചെയ്യാൻ ഡെബിയൻ വീസി, പക്ഷേ ആശ്രിതത്വ പ്രശ്‌നങ്ങൾ കാരണം അത് അസാധ്യമായിരുന്നു. ഞാൻ ഈ ലേഖനം എഴുതിയ സമയത്ത്, ബ്രാക്കറ്റ് സൈറ്റ് പ്രവർത്തനരഹിതമായിരുന്നു.

അത് മാറുന്നു .deb ചില ഫോൾഡറുകളിൽ സ്ഥാപിക്കേണ്ട ഫയലുകളാണ് അതിനുള്ളിലുള്ളത് ആവരണചിഹ്നം en / usr / share /അതിനാൽ, സിദ്ധാന്തത്തിൽ, ഓരോ ഫോൾഡറും സൂചിപ്പിക്കുന്നിടത്തെല്ലാം ഞാൻ പകർത്തിയാൽ, എനിക്ക് എക്സിക്യൂട്ട് ചെയ്യാനാകും ആവരണചിഹ്നം. അങ്ങനെ ആയിരുന്നു.

ഞാൻ അൺസിപ്പ് ചെയ്തു .deb ഉപയോഗിച്ച് ആർക്ക്, എനിക്ക് ഒരു ഫോൾഡർ ഉണ്ടായിരുന്നു ബ്രാക്കറ്റുകൾ-സ്പ്രിന്റ് -28-LINUX64. ഞാൻ ആ ഫോൾഡറിലേക്ക് പോയി ഫയൽ അൺസിപ്പ് ചെയ്തു data.tar.gz, ഇത് എന്നെ ഒരു ഫോൾഡർ സൃഷ്ടിച്ചു usr. ഞാൻ ഇത് ഒരു ടെർമിനലിലൂടെ ആക്‌സസ്സുചെയ്‌ത് ഓടി:

$ sudo cp bin / brackets / usr / bin / $ sudo cp -R lib / brackets / / usr / lib64 / $ sudo cp -R share / applications / brackets.desktop / usr / share / applications / $ sudo cp share / icons /hicolor/scalable/apps/brackets.svg / usr / share / icons / hicolor / scalable / apps /

കുറച്ച് നിമിഷങ്ങൾക്കുള്ളിൽ എനിക്ക് ഐക്കണുകൾ ഉണ്ടായിരുന്നു ആവരണചിഹ്നം മെനുവിൽ, പക്ഷേ ഞാൻ ഓടുമ്പോൾ ഒന്നും സംഭവിച്ചില്ല. ഞാൻ ഇത് ഒരു ടെർമിനലിലൂടെ ചെയ്തു, അത് എന്നെ പിശകുകൾ എറിയാൻ തുടങ്ങി:

/ usr / lib / brackets / Brackets: പങ്കിട്ട ലൈബ്രറികൾ‌ ലോഡുചെയ്യുമ്പോൾ‌ പിശക്: libplc4.so.0d: പങ്കിട്ട ഒബ്‌ജക്റ്റ് ഫയൽ‌ തുറക്കാൻ‌ കഴിയില്ല: അത്തരം ഫയലോ ഡയറക്‌ടറിയോ ഇല്ല .4d: പങ്കിട്ട ഒബ്ജക്റ്റ് ഫയൽ തുറക്കാൻ കഴിയില്ല: അത്തരം ഫയലോ ഡയറക്ടറിയോ ഇല്ല / usr / lib / brackets / Brackets: പങ്കിട്ട ലൈബ്രറികൾ ലോഡുചെയ്യുമ്പോൾ പിശക്: libudev.so. 0: പങ്കിട്ട ഒബ്ജക്റ്റ് ഫയൽ തുറക്കാൻ കഴിയില്ല: അത്തരം ഫയലോ ഡയറക്ടറിയോ

ബാക്കിയുള്ളവ എളുപ്പമായിരുന്നു, എനിക്ക് ടെർമിനലിൽ ഇടേണ്ടിവന്നു:

$ sudo ln -sf /lib64/libplc4.so /lib64/libplc4.so.0d $ sudo ln -sf /lib64/libnspr4.so /lib64/libnspr4.so.0d $ sudo ln -sf /lib64/libudev.so / lib64 / libudev.so.0

തയ്യാറാണ്. വളരെയധികം കുഴപ്പങ്ങളില്ലാതെ എനിക്ക് ഇതിനകം ബ്രാക്കറ്റുകൾ പ്രവർത്തിക്കുന്നു ആർച്ച്ലിനക്സ്.

ആവരണചിഹ്നം

ഞാൻ ഇത് നന്നായി പരിശോധിച്ച് താരതമ്യം ചെയ്യും ബ്രാക്കറ്റുകൾ vs സപ്ലൈം ടെക്സ്റ്റ്. 😉


ലേഖനത്തിന്റെ ഉള്ളടക്കം ഞങ്ങളുടെ തത്ത്വങ്ങൾ പാലിക്കുന്നു എഡിറ്റോറിയൽ എത്തിക്സ്. ഒരു പിശക് റിപ്പോർട്ടുചെയ്യാൻ ക്ലിക്കുചെയ്യുക ഇവിടെ.

19 അഭിപ്രായങ്ങൾ, നിങ്ങളുടേത് വിടുക

നിങ്ങളുടെ അഭിപ്രായം ഇടുക

നിങ്ങളുടെ ഇമെയിൽ വിലാസം പ്രസിദ്ധീകരിച്ചു ചെയ്യില്ല.

*

*

  1. ഡാറ്റയുടെ ഉത്തരവാദിത്തം: മിഗുവൽ ഏഞ്ചൽ ഗാറ്റൻ
  2. ഡാറ്റയുടെ ഉദ്ദേശ്യം: സ്പാം നിയന്ത്രിക്കുക, അഭിപ്രായ മാനേജുമെന്റ്.
  3. നിയമസാധുത: നിങ്ങളുടെ സമ്മതം
  4. ഡാറ്റയുടെ ആശയവിനിമയം: നിയമപരമായ ബാധ്യതയല്ലാതെ ഡാറ്റ മൂന്നാം കക്ഷികളുമായി ആശയവിനിമയം നടത്തുകയില്ല.
  5. ഡാറ്റ സംഭരണം: ഒസെന്റസ് നെറ്റ്‌വർക്കുകൾ (ഇയു) ഹോസ്റ്റുചെയ്യുന്ന ഡാറ്റാബേസ്
  6. അവകാശങ്ങൾ: ഏത് സമയത്തും നിങ്ങളുടെ വിവരങ്ങൾ പരിമിതപ്പെടുത്താനും വീണ്ടെടുക്കാനും ഇല്ലാതാക്കാനും കഴിയും.

  1.   മാനുവൽ ഡി ലാ ഫ്യൂണ്ടെ പറഞ്ഞു

    ഒരു പരാമർശം മാത്രം: യാർട്ട് സുഡോയ്‌ക്കൊപ്പം ഒരിക്കലും ഉപയോഗിച്ചിട്ടില്ല. നോക്കൂ, പരസ്യ ഓക്കാനം ഞാൻ നിങ്ങളോട് ഇത് ആവർത്തിച്ചിട്ടുണ്ട്, പക്ഷേ ഇത് നിങ്ങളുടെ രീതിയിൽ ചെയ്യാൻ നിങ്ങൾ നിർബന്ധിക്കുന്നു. xD

    1.    ഇലവ് പറഞ്ഞു

      മനുഷ്യാ, ഒരു സുരക്ഷാ നുറുങ്ങ് എന്ന നിലയിൽ, പക്ഷേ വരൂ, എല്ലാവർക്കും അവരുടെ കമ്പ്യൂട്ടർ ഉപയോഗിച്ച് എന്തുചെയ്യാമെന്ന് അറിയാം. തുടക്കത്തിൽ, ഞാൻ യോർട്ട് ഉപയോഗിക്കുന്നില്ല, പക്ഷേ ഞാൻ നിങ്ങളെ പ്രസാദിപ്പിക്കുകയും ലേഖനത്തിൽ അത് ശരിയാക്കുകയും ചെയ്യും

      1.    എലിയോടൈം 3000 പറഞ്ഞു

        അതിൽ ഞാൻ സമ്മതിക്കുന്നു, അദ്ദേഹം പറഞ്ഞു. കൂടാതെ, ഞാൻ സുഡോ ഉപയോഗിക്കുന്നില്ല, അതിനാൽ ഞാൻ സാധാരണയായി ഇത് ഒരു ശല്യപ്പെടുത്തലായി കാണുന്നു, കാരണം ഈ സിസ്റ്റത്തിന് പ്രശ്നങ്ങൾ ഒഴിവാക്കാൻ കഴിയും എന്നതാണ് സത്യം, പക്ഷേ അതിൽ തന്നെ വിൻഡോസ് വിസ്റ്റ യു‌എസിയേക്കാൾ കൂടുതൽ അസ്വസ്ഥതയുണ്ട്.

    2.    എലിയോടൈം 3000 പറഞ്ഞു

      സുഡോയുടെ കാര്യത്തിലും ഞാൻ പറയുന്നു. റൂട്ട് ഇൻസ്റ്റാൾ ചെയ്യാൻ പലപ്പോഴും ആവശ്യമുള്ള ആപ്ലിക്കേഷനുകൾ നിങ്ങൾ നിരവധി തവണ ഇൻസ്റ്റാൾ ചെയ്യുന്നത് നിങ്ങൾ ശ്രദ്ധിച്ചിട്ടുണ്ടെങ്കിൽ ഇത് ശരിക്കും ഒരു ശല്യമാണ്.

    3.    മറ്റൊരു-ഡി‌എൽ-ഉപയോക്താവ് പറഞ്ഞു

      Yaourt ൽ SUDO ഉപയോഗിക്കാത്തതിന്റെ കാരണം?

      1.    py_ ക്രാഷ് പറഞ്ഞു

        നിങ്ങൾ യോർട്ടിൽ സുഡോ ഉപയോഗിക്കുകയാണെങ്കിൽ, PKGBUILD- ലെ ചില ക്ഷുദ്ര സ്ക്രിപ്റ്റിന് അഡ്‌മിനിസ്‌ട്രേറ്റർക്ക് അനുമതി നൽകുന്നത് നിങ്ങൾ അപകടത്തിലാക്കുന്നു. കൂടാതെ, പാക്കേജ് ഇൻസ്റ്റാൾ ചെയ്യുമ്പോൾ നിങ്ങളുടെ സുഡോ പാസ്‌വേഡ് യോർട്ട് നിങ്ങളോട് ആവശ്യപ്പെടുന്നു, അതിനാൽ നിങ്ങൾ ആദ്യം മുതൽ ഇത് നൽകേണ്ടതില്ല

  2.   ജുവാൻ അന്റോണിയോ പറഞ്ഞു

    എനിക്ക് ഇത് ഇതിനകം ട്രിസ്‌ക്വലിൽ‌ ഇൻ‌സ്റ്റാൾ‌ ചെയ്യാൻ‌ കഴിയും

    1.    ജുവാൻ അന്റോണിയോ പറഞ്ഞു

      ????

  3.   ഇസ്രായേൽ പറഞ്ഞു

    മെനു ഉപയോഗിക്കുന്ന ഫോണ്ട് മാറ്റാൻ നിങ്ങൾക്ക് കഴിയുമോ? ..

  4.   ഗ്രിഗോറിയോ എസ്പാഡാസ് പറഞ്ഞു

    എന്തുകൊണ്ടാണ് ഡ download ൺ‌ലോഡ് പേജ് ഡ down ൺ‌ലോഡ് ചെയ്തതെന്ന് ഞാൻ കാണുന്നു… സ്പ്രിൻറ് -29 ഇപ്പോൾ ലഭ്യമാണ്, നിർ‌ഭാഗ്യവശാൽ‌ കാര്യങ്ങൾ‌ മാറിയതായി നിങ്ങൾ‌ കാണുന്നു, മാത്രമല്ല ഈ പോസ്റ്റിലെ ഇൻ‌സ്റ്റാളേഷൻ‌ നിർദ്ദേശങ്ങൾ‌ ഇനിമേൽ‌ ബാധകമല്ല. Elaaaaav, അപ്‌ഡേറ്റ് ചെയ്യാനുള്ള സമയം

    1.    ഇലവ് പറഞ്ഞു

      ഹാഹാഹ, അതാണ് ഞാൻ ..

    2.    ഇസ്രായേൽ പറഞ്ഞു

      നിങ്ങൾ പറഞ്ഞത് ശരിയാണെങ്കിൽ, അതും വലിയ മാറ്റമൊന്നും വരുത്തുന്നില്ലെങ്കിലും, ഫയൽ അൺസിപ്പ് ചെയ്യുമ്പോൾ ഓപ്റ്റ് ഫോൾഡർ ഉപയോഗിക്കുക .. എനിക്ക് ഇത് പ്രവർത്തിക്കുന്നുണ്ടെങ്കിലും .. നിങ്ങൾ പോസ്റ്റ് അപ്ഡേറ്റ് ചെയ്യുകയാണെങ്കിൽ ഞാൻ ശരിയായ ഘട്ടങ്ങൾ ചെയ്തിട്ടുണ്ടോ എന്ന് ഞാൻ കാണും hahaha

  5.   ജോൺ 85 പി പറഞ്ഞു

    $ sudo ln -sf /lib64/libudev.so /lib64/libudev.so.0
    സുഹൃത്തേ, ആ ലൈൻ നിങ്ങളുടെ കമ്പ്യൂട്ടറിൽ മാത്രമേ നിങ്ങൾക്ക് സേവനം നൽകിയിട്ടുള്ളൂവെന്ന് നിങ്ങൾ വ്യക്തമാക്കണം, ഒരു ന്യൂബീ എന്ന നിലയിൽ ഞാൻ അത് ഉപയോഗിച്ചു, എന്റെ ഫയൽ ആരംഭിക്കാൻ കഴിഞ്ഞില്ല കാരണം എന്റെ ഫയൽ libudev.so.0.13.1 XD ആയിരുന്നു.
    ഞാൻ ഇതിനകം തന്നെ അത് പരിഹരിച്ചു, അത് സിംലിങ്ക് മാറ്റുകയായിരുന്നു.
    നന്ദി!

  6.   റുഡോള്ഫ് പറഞ്ഞു

    ഹലോ, വളരെ നല്ല ലേഖനം, ആശംസകൾ, ബി‌എസ്‌ഡി പരീക്ഷിക്കാൻ ഞാൻ നിങ്ങളെ ക്ഷണിക്കുന്നു.

  7.   mrkzboo പറഞ്ഞു

    വളരെ നന്ദി, ഇത് എന്നെ സഹായിച്ചു, പക്ഷേ ഇത് ഫെഡോറ 18 in ൽ പ്രവർത്തിപ്പിക്കാൻ
    നന്ദി.

  8.   ഫെഡറേറ്റിക്കോ പറഞ്ഞു

    കമാൻഡ് ലൈനിലെ ഇൻസ്റ്റാളേഷൻ ഘട്ടങ്ങൾ പിന്തുടരാൻ ഞാൻ ശ്രമിക്കുമ്പോൾ എനിക്ക് ഇനിപ്പറയുന്ന പിശക് ലഭിക്കുന്നു:

    sudo cp -R lib / brackets / / usr / lib64 /
    cp: "lib / brackets /" ൽ `stat 'നടപ്പിലാക്കാൻ കഴിയില്ല: ഫയലോ ഡയറക്ടറിയോ നിലവിലില്ല
    ഞാൻ ബ്രാക്കറ്റുകൾ അൺസിപ്പ് ചെയ്യുമ്പോൾ. ഫോൾഡർ ഡാറ്റയിലെ റിലീസ് .0.42.64-ബിറ്റ് / usr / ലിബ് അല്ലെങ്കിൽ ലിബ് / ബ്രാക്കറ്റുകൾ /

  9.   ഫെഡറേറ്റിക്കോ പറഞ്ഞു

    സപ്ലൈം ടെക്സ്റ്റ് ഇൻസ്റ്റാളുചെയ്യുന്നത് എനിക്കായി പ്രവർത്തിക്കുന്നില്ല. :::: പ്രോഗ്രാം തുറക്കുന്നു, പക്ഷേ ഒരിക്കലും കാണിക്കില്ല… .. ഒരേ ഫോൾഡറിലെ എക്സിക്യൂട്ടബിളിൽ നിന്ന് പോലും.

  10.   യോസ്ബാനിസ് വിസെൻറ് പറഞ്ഞു

    ഹലോ, ഈ ബ്രാക്കറ്റുകളുടെ ഇൻസ്റ്റാളേഷനിൽ എനിക്ക് സഹായം ആവശ്യമാണ്, ഫെഡറിക്കോയ്ക്ക് സംഭവിച്ചതും എനിക്ക് എന്ത് ചെയ്യണമെന്ന് അറിയില്ല, ഈ പ്രസിദ്ധീകരണം കഴിഞ്ഞ് കുറച്ച് കാലമായി എന്ന് എനിക്കറിയാം, പക്ഷേ എന്നെ സഹായിക്കാൻ മറ്റൊരു ലേഖനം കണ്ടെത്താൻ കഴിയില്ല. ആർക്കെങ്കിലും എന്നെ സഹായിക്കാൻ കഴിയുമെങ്കിൽ ദയവായി. നന്ദി

  11.   ജാക്കോബ് പറഞ്ഞു

    ഏറ്റവും പുതിയ പതിപ്പ് ഉപയോഗിച്ച് നിങ്ങൾ ഇത് ARK ഉപയോഗിച്ച് മാത്രം അൺസിപ്പ് ചെയ്യുക, നിങ്ങൾ അൺസിപ്പ് ചെയ്ത ഫോൾഡറിലുള്ള ഓപ്റ്റിൽ ഒരു ടെർമിനൽ തുറന്ന് നടപ്പിലാക്കുക:

    sudo cp -R ബ്രാക്കറ്റുകൾ / ഓപ്റ്റ്

    തയ്യാറാണ്! 🙂